%      A    Y
% -------------------------------------------------------------------------
% FaultAn -      
% e-mail: support@faultan.ru
% -------------------------------------------------------------------------
%  :
% A -   A (     )
%  :
% Y -   Y
% -------------------------------------------------------------------------
function Y = A_to_Y(A)
if(size(A,1)~=size(A,2))
    disp('Error!')
else
    s = size(A,1)/2;
    A11 = A(1:s,1:s);
    A12 = A(1:s,s+1:s*2);
    A21 = A(s+1:s*2,1:s);
    A22 = A(s+1:s*2,s+1:s*2);
    
    Y11 = A22 * A12^(-1);
    Y12 = A21 - A22 * A12^(-1) * A11;
    Y21 = -A12^(-1);
    Y22 = A12^(-1) *A11;
    
    Y = [Y11 Y12
        Y21 Y22];
end
end